Last Comment Bug 380901 - Release SpiderMonkey 1.7
: Release SpiderMonkey 1.7
Status: RESOLVED FIXED
: meta, verified1.8.1.8
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Bob Clary [:bc:]
:
:
Mentors:
Depends on: js1.7 js1.7src 400706
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 10:25 PDT by Bob Clary [:bc:]
Modified: 2007-10-25 04:54 PDT (History)
4 users (show)
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
update 1.8.1 JS_GetImplementationVersion (770 bytes, patch)
2007-10-02 06:15 PDT, Bob Clary [:bc:]
brendan: review+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review
update trunk JS_GetImplementationVersion (768 bytes, patch)
2007-10-02 06:17 PDT, Bob Clary [:bc:]
no flags Details | Diff | Splinter Review
update trunk JS_GetImplementationVersion (768 bytes, patch)
2007-10-02 06:23 PDT, Bob Clary [:bc:]
brendan: review+
brendan: approval1.9+
Details | Diff | Splinter Review

Description Bob Clary [:bc:] 2007-05-16 10:25:39 PDT
 
Comment 1 Bob Clary [:bc:] 2007-10-02 06:15:07 PDT
Created attachment 283178 [details] [diff] [review]
update 1.8.1 JS_GetImplementationVersion
Comment 2 Bob Clary [:bc:] 2007-10-02 06:17:37 PDT
Created attachment 283179 [details] [diff] [review]
update trunk JS_GetImplementationVersion
Comment 3 Bob Clary [:bc:] 2007-10-02 06:23:52 PDT
Created attachment 283180 [details] [diff] [review]
update trunk JS_GetImplementationVersion

Actually, it makes better sense to update the version of SpiderMonkey on the trunk to 1.8.0 rather than the 1.7.1.
Comment 4 Daniel Veditz [:dveditz] 2007-10-02 10:40:48 PDT
Comment on attachment 283178 [details] [diff] [review]
update 1.8.1 JS_GetImplementationVersion

Code freeze is tomorrow, Brendan please r+ soon if you want this to be tagged with 1.8.1.8
Comment 5 Daniel Veditz [:dveditz] 2007-10-02 14:04:43 PDT
Comment on attachment 283178 [details] [diff] [review]
update 1.8.1 JS_GetImplementationVersion

approved for 1.8.1.8, a=dveditz for release-drivers
Comment 6 Bob Clary [:bc:] 2007-10-03 06:48:44 PDT
attachment 283180 [details] [diff] [review] checked into the trunk.

Checking in jsapi.c;
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.361; previous revision: 3.360
done
Comment 7 Bob Clary [:bc:] 2007-10-03 07:38:19 PDT
attachment 283178 [details] [diff] [review] checked into 1.8 branch.

Checking in jsapi.c;
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.214.2.38; previous revision: 3.214.2.37
done
Comment 8 Jay Patel [:jay] 2007-10-10 13:12:51 PDT
v.fixed for 1.8.1.8 by code inspection, simple enough.
Comment 9 Stuart Parmenter 2007-10-17 12:37:13 PDT
can this be resolved FIXED?
Comment 10 Brendan Eich [:brendan] 2007-10-17 18:16:39 PDT
Prolly bclary is keeping this open until the standalone release is done. Why do you care? It's not on the 1.9 radar I hope.

/be
Comment 11 Stuart Parmenter 2007-10-17 18:21:40 PDT
We were just going through looking at bugs with approval flags that were still open.  No worries just wasn't clear if this had been left open by accident or not.
Comment 12 Bob Clary [:bc:] 2007-10-17 20:27:36 PDT
I'm waiting for Firefox 2.0.0.8 to ship, then will create a tag based on the release tag for the SpiderMonkey release. 
Comment 13 Bob Clary [:bc:] 2007-10-25 04:54:42 PDT
RCS file: /www/mozilla-org/html/js/spidermonkey/release-notes/JS_170.html,v
done
Checking in JS_170.html;
/www/mozilla-org/html/js/spidermonkey/release-notes/JS_170.html,v  <--  JS_170.html
initial revision: 1.1
done
Checking in NOMENU;
/www/mozilla-org/html/js/spidermonkey/release-notes/NOMENU,v  <--  NOMENU
new revision: 1.2; previous revision: 1.1
done
Checking in index.html;
/www/mozilla-org/html/js/spidermonkey/release-notes/index.html,v  <--  index.html
new revision: 1.26; previous revision: 1.25
done

Email sent to mozilla.announce and mozilla.dev.tech.js-engine. 

Bug 401087 will track bugs for next release of SpiderMonkey 1.7.1 around 1.8.1.10.

Note You need to log in before you can comment on or make changes to this bug.